# std::match_results<BidirIt,Alloc>::empty

From cppreference.com
< cpp‎ | regex‎ | match results

bool empty() const; |  | (since C++11) (until C++20)
[[nodiscard]] bool empty() const; |  | (since C++20)

Checks whether the match was successful.

### Parameters

(none)

### Return value

size() == 0 (false if `*this` represents the result of a successful match, true otherwise)

### Exceptions

(none)

### Complexity

Constant.

### See also

size | returns the number of matches in a fully-established result state (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/empty&oldid=96711"